### R code from vignette source 'DOSim.Rnw'

###################################################
### code chunk number 1: DOSim.Rnw:47-49
###################################################
library(DOSim)
help(DOSim)


###################################################
### code chunk number 2: DOSim.Rnw:67-70
###################################################
genelist=getDefaultBackground()[1:10]
DOEnrichment(genelist,filter=5,cutoff=0.01,layer=NULL)



###################################################
### code chunk number 3: DOSim.Rnw:112-114
###################################################
genelist<-c("10003","10008","10015","10042","10036")
gsim<-getGeneSim(genelist,similarity="BMA",similarityTerm="Resnik")


###################################################
### code chunk number 4: DOSim.Rnw:117-118
###################################################
gsim


###################################################
### code chunk number 5: DOSim.Rnw:127-130
###################################################
data(obesity)
module<-detectModule(obesity,method="tree",minClusterSize=10)
viewModule(module)


###################################################
### code chunk number 6: DOSim.Rnw:229-231
###################################################
termlist=c("DOID:399","DOID:1117","DOID:2313","DOID:2040")
tsim<-getTermSim(termlist, method = "relevance", verbose = TRUE)


###################################################
### code chunk number 7: DOSim.Rnw:233-234
###################################################
tsim


###################################################
### code chunk number 8: DOSim.Rnw:239-246
###################################################
terms<-c("DOID:934","DOID:1579")
if(require(graph)){
	g<-getDOGraph(terms)
	if(require(Rgraphviz)){ 
		plot(g)
	}
}


###################################################
### code chunk number 9: DOSim.Rnw:253-255
###################################################
terms<-c("DOID:934","DOID:1579")
getParents(terms)


###################################################
### code chunk number 10: DOSim.Rnw:260-262
###################################################
terms<-c("DOID:934","DOID:1579")
getAncestors(terms)


###################################################
### code chunk number 11: DOSim.Rnw:267-269
###################################################
terms<-c("DOID:10533","DOID:550")
getOffsprings(terms)


###################################################
### code chunk number 12: DOSim.Rnw:274-276
###################################################
terms<-c("DOID:934","DOID:1579")
getChildren(terms)


###################################################
### code chunk number 13: DOSim.Rnw:280-282
###################################################
terms<-c("DOID:934","DOID:1579")
getDoTerm(terms)


###################################################
### code chunk number 14: DOSim.Rnw:286-288
###################################################
terms<-c("DOID:1579")
getDoAnno(terms)


